module.exports = function(app, express){
  app.set('views', __dirname + '/views');
  app.set('view engine', 'jade');

  app.configure(function(){
    app.use(express.logger());
    app.use(express.static(__dirname + '/public'));
    app.use(express.bodyParser());
    app.use(express.methodOverride());
    app.use(express.cookieParser());
    app.use(express.session({ secret: 'wHeucjf6Yk8SzNYFNMWLfDkBiKYRVWjpWSjVBj' }));
    app.use(app.router);
  });

  app.configure('dev', function(){
    app.use(express.errorHandler({ dumbExceptions: true, showStack: true }));
  });
};
